Package org.apache.lucene.facet.facetset

# Interface FacetSetDecoder

public interface FacetSetDecoder
A functional interface for decoding facet set values into comparable `long` ones. You can use it by e.g. implementing a static method with the same signature and then pass it as `YourClass::decode`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `decode(BytesRef bytesRef, int start, long[] dest)`
  Decodes the facet set dimension values into the given destination buffer and returns the number of bytes read.
  `static int`
  `decodeInts(BytesRef bytesRef, int start, long[] dest)`
  An implementation of `decode(BytesRef, int, long[])` for int/float dimension values which were encoded with `IntFacetSet` and `FloatFacetSet` respectively.
  `static int`
  `decodeLongs(BytesRef bytesRef, int start, long[] dest)`
  An implementation of `decode(BytesRef, int, long[])` for long/double dimension values which were encoded with `LongFacetSet` and `DoubleFacetSet` respectively.

- ## Method Details

  - ### decodeLongs

    static int decodeLongs(BytesRef bytesRef, int start, long[] dest)
    An implementation of `decode(BytesRef, int, long[])` for long/double dimension values which were encoded with `LongFacetSet` and `DoubleFacetSet` respectively.

  - ### decodeInts

    static int decodeInts(BytesRef bytesRef, int start, long[] dest)
    An implementation of `decode(BytesRef, int, long[])` for int/float dimension values which were encoded with `IntFacetSet` and `FloatFacetSet` respectively.

  - ### decode

    int decode(BytesRef bytesRef, int start, long[] dest)
    Decodes the facet set dimension values into the given destination buffer and returns the number of bytes read.